Skip to content
Docs
Service Accounts

Delete

Delete

client.organizations.serviceAccounts.delete(stringserviceAccountID, ServiceAccountDeleteParams { organization_id, xClientRequestID } params, RequestOptionsoptions?): void
DELETE/organizations/{organization_id}/service-accounts/{service_account_id}

Delete a service account

ParametersExpand Collapse
serviceAccountID: string

Identifier for API resources. A 26-char nanoid (URL/DNS safe).

minLength1
maxLength255
params: ServiceAccountDeleteParams { organization_id, xClientRequestID }
organization_id: string

Path param: Organization ID or label identifier

minLength1
maxLength255
xClientRequestID?: string

Header param: Unique request identifier specified by the originating caller and passed along by proxies.

formatuuid

Delete

import KeycardAPI from '@keycardai/api';

const client = new KeycardAPI();

await client.organizations.serviceAccounts.delete('ab3def8hij2klm9opq5rst7uvw', {
  organization_id: 'x',
});
Returns Examples